# Interface DebuggerContext

#### Hierarchy

- DebuggerContext

- Defined in codec/lib/contexts/types.ts:45

#####
Index

### Properties

abi?
binary
compilationId?
compiler?
context
contractId?
contractKind?
contractName?
immutableReferences?
isConstructor
linearizedBaseContracts?
payable?
primaryLanguage?
primarySource?
sourceMap?

## Properties

### `Optional` abi

abi?: Abi

- Defined in codec/lib/contexts/types.ts:56

### binary

binary: string

- Defined in codec/lib/contexts/types.ts:47

### `Optional` compilationId

compilationId?: string

- Defined in codec/lib/contexts/types.ts:61

### `Optional` compiler

compiler?: CompilerVersion

- Defined in codec/lib/contexts/types.ts:60

### context

context: string

- Defined in codec/lib/contexts/types.ts:46

### `Optional` contractId

contractId?: number

- Defined in codec/lib/contexts/types.ts:53

### `Optional` contractKind

contractKind?: ContractKind

- Defined in codec/lib/contexts/types.ts:55

### `Optional` contractName

contractName?: string

- Defined in codec/lib/contexts/types.ts:52

### `Optional` immutableReferences

immutableReferences?: ImmutableReferences

- Defined in codec/lib/contexts/types.ts:51

### isConstructor

isConstructor: boolean

- Defined in codec/lib/contexts/types.ts:50

### `Optional` linearizedBaseContracts

linearizedBaseContracts?: number[]

- Defined in codec/lib/contexts/types.ts:54

### `Optional` payable

payable?: boolean

- Defined in codec/lib/contexts/types.ts:62

### `Optional` primaryLanguage

primaryLanguage?: string

- Defined in codec/lib/contexts/types.ts:59

### `Optional` primarySource

primarySource?: number

- Defined in codec/lib/contexts/types.ts:58

### `Optional` sourceMap

sourceMap?: string

- Defined in codec/lib/contexts/types.ts:57

Generated using TypeDoc